#include "kbdplugin.h"
#include "kobokbd.h"

KBDPlugin::KBDPlugin(QObject* parent) : QKbdDriverPlugin(parent)
{
}

QStringList KBDPlugin::keys() const
{
    QStringList list;
    list << QLatin1String("KoboKBD");
    return list;
}

QWSKeyboardHandler* KBDPlugin::create(const QString & driver, const QString & device)
{
    if (device.contains("debug", Qt::CaseInsensitive))
        qDebug("KBDPlugin::create() found!");
    return new KoboKBD(device);
}

Q_EXPORT_PLUGIN2(KoboKBD, KBDPlugin)
